Subject: Looking for a program

From: FyD <[email-masked]>
Date: Fri, 20 Dec 2002 15:24:50 +0100 (CET)

Dear All,   
   
I am looking for a program that:   
1- Would work under UNIX (in particular Linux & Irix),   
2- Could be ran using scripts i.e. in a non-graphical way,   
3- Would allow to (i) load a structure, (ii) modify/control its orientation  
(axis x, y, and z), and (iii) save the new Cartesian coordinate set defined by  
the new orientation, and if possible 
4- would be freely distributed for all users... 
   
Thanks, Regards, Francois

---

From: "Warren L. DeLano" <[email-masked]>
Date: Fri, 20 Dec 2002 08:02:11 -0800 (PST)

Francois, try PYMOL!

http://pymol.sf.net

1) runs under linux, irix, windows, osx

2) command mode available with "pymol -c"

3i) reads and writes PDB, SDF, MOL, etc.

3ii) transformation can be done with mouse or explicit "translate",
"rotate" commands as well as a combined sequence/structure alignment
"align" command.

3iii) "save filename.pdb" will store your new coordinates

4) PyMOL is free, modifiable, and redistributable in modified form.

I (the author) do make periodic requests for funding to support
ongoing development, but such funding remains optional.  Before too long,
I'll be rewarding such support with a feature-enhanced version.

Cheers,
Warren

---

From: FyD <[email-masked]>
Date: Fri, 20 Dec 2002 19:18:43 +0100 (CET)

Dear Edward Berry, Dear All,

> How do you want to specify the 'modification of orientation'
> in a non-graphical program? If you can specify a rotation
> matrix or rotation angle about an axis defined
> by direction cosines, or a series of rotations about
> principal axes, then this is a very simple program.
> pdbset  (CCP4) or moleman (USF) do this and much more,
> and are free to academic users. Otherwise they meet
> your criteria.

I get a lot of answers with graphical rotation controls using the mouse: I 
think I have to explain how I "would like/need" to control the orientation of 
my structure: I am NOT interested in controlling the orientation of my 
structures using the mouse, i.e. I am NOT interested in a graphical control but 
I would like to control the orientation using for instance atom names (in a 
script):
- I would like first to put the center of mass at 0, 0, 0
- Then, select 2 atom names "A", "B" to define the O -> x axis and a third 
one, "C" to define the plane o, x, y. Then, apply the rotation as previously 
defined and save the structure to 'a' format.
- I would also be interested in any other non-graphical reorientation 
procedure. The idea is simply to have 'a' control of the structure orientation.

I also forgot to tell you that I need to load an input structure at a format 
allowing at least 4 digits after the decimal points and obviously to save the 
ouput reoriented structure with these same 4 digits. It means PDB format can be 
used but the saved structure must be writen with these 4 digits. Another 
solution are the sybyl or xyz formats.

Thanks, regards, Francois

---

From: "David A. Case" <[email-masked]>
Date: Fri, 20 Dec 2002 16:59:48 -0800

> 4- would be freely distributed for all users... 

The NAB program (see the web site below) was designed to do exactly this,
serving as sort of a "molecular awk".  It is pretty much limited to reading
and writing pdb-format files (e.g. no mol2, cif, etc).  In spite of its
name (Nucleic Acid Builder), it is not restricted to nucleic acids, and I
use it for the above purposes all the time. It is licensed under the GPL,
and should work on Linux, BSD, most Unices, cygwin and Mac OS X.

..hope this helps...dac

-- 

==================================================================
David A. Case                     |  e-mail:      [email-masked]
Dept. of Molecular Biology, TPC15 |  fax:          +1-858-784-8896
The Scripps Research Institute    |  phone:        +1-858-784-9768
10550 N. Torrey Pines Rd.         |  home page:                   
La Jolla CA 92037  USA            |    http://www.scripps.edu/case
==================================================================